PDA

View Full Version : libstdc++5 with SLES12



swadm
04-Feb-2015, 10:16
Dear SLESians,

when a program reports it requires libstdc++5 ... is there a chance to get it running on SLES12: SLES 12 contains only libstdc++6:

Thanks and regards, Thomas


host:/ # zypper se libstdc++6
Refreshing service 'SUSE_Linux_Enterprise_Server_12_x86_64'.
Retrieving repository 'SLES12-Updates' metadata .................................................. ............................[done]
Building repository 'SLES12-Updates' cache .................................................. .................................[done]
Loading repository data...
Reading installed packages...

S | Name | Summary | Type
--+------------------+---------------------------------+--------
i | libstdc++6 | The standard C++ shared library | package
i | libstdc++6-32bit | The standard C++ shared library | package
host:/ # zypper se libstdc++5
Refreshing service 'SUSE_Linux_Enterprise_Server_12_x86_64'.
Loading repository data...
Reading installed packages...
No packages found.
host:/ # rpm -qil libstdc++6
Name : libstdc++6
Version : 4.8.3+r212056
Release : 11.2
Architecture: x86_64
Install Date: Thu Jan 22 15:06:21 2015
Group : System/Libraries
Size : 995512
License : GPL-3.0-with-GCC-exception
Signature : RSA/SHA256, Thu Nov 13 15:36:04 2014, Key ID 70af9e8139db7c82
Source RPM : gcc48-4.8.3+r212056-11.2.src.rpm
Build Date : Wed Nov 5 18:19:34 2014
Build Host : tornado4
Relocations : (not relocatable)
Packager : https://www.suse.com/
Vendor : SUSE LLC <https://www.suse.com/>
URL : http://gcc.gnu.org/
Summary : The standard C++ shared library
Description :
The standard C++ library, needed for dynamically linked C++ programs.
Distribution: SUSE Linux Enterprise 12
/usr/lib64/libstdc++.so.6
/usr/lib64/libstdc++.so.6.0.19
host:/ #

swadm
04-Feb-2015, 17:40
With the help of Novell Support we found the following clean solution,
which utilizes the service channel "Legacy_Module_12_86_64", to
provide the - as novell support call it - ancient Version of libstdc++
that the Networker client needs:

1.) Installation of Legacy Module 12


host:/ # yast2 repositories
<add>
Available Extensions and Modules
...
[x] Legacy Module 12 x86_64
...
<Finish>


after that:


host:/ # zypper lr
# | Alias | Name | Enabled | Refresh
---+-----------------------------------------------------------------+---------------------------------------+---------+--------
1 | Legacy_Module_12_x86_64:SLE-Module-Legacy12-Debuginfo-Pool | SLE-Module-Legacy12-Debuginfo-Pool | Yes | No
2 | Legacy_Module_12_x86_64:SLE-Module-Legacy12-Debuginfo-Updates | SLE-Module-Legacy12-Debuginfo-Updates | Yes | Yes
3 | Legacy_Module_12_x86_64:SLE-Module-Legacy12-Pool | SLE-Module-Legacy12-Pool | Yes | No
4 | Legacy_Module_12_x86_64:SLE-Module-Legacy12-Updates | SLE-Module-Legacy12-Updates | Yes | Yes
...
host:/ #


2.) Installation of libstdc++

zypper in libstdc++33 libstdc++33-32bit

now we have:


host:/dir/# # rpm -ql libstdc++33
/usr/lib64/libstdc++.so.5
/usr/lib64/libstdc++.so.5.0.7
host:/dir/ # rpm -ql libstdc++33-32bit
/usr/lib/libstdc++.so.5
/usr/lib/libstdc++.so.5.0.7
host:/dir/ #


3.) finally, the installation of Legato Client, e.g. Version 8.2


host:/dir/ # rpm -U lgtoclnt-8.2.0.5-1.x86_64.rpm
host:/dir/ #


The networker service is now running cleanly, as does the backup of
the SLES 12 host.

Regards, Thomas

jmozdzen
04-Feb-2015, 17:41
Hi Thomas,

> when a program reports it requires libstdc++5 ... is there a chance to get it running on SLES12: SLES 12 contains only libstdc++6:

I don't have a SLES12 system at hand - but you might want to search for "libstdc" instead of "libstdc++6"... I remember that SLES11 had at least libstdc++33 and libstdc++46. If you cannot find anything in the standard distribution repos, give the SDK a try as well.

Regards,
Jens

swadm
04-Feb-2015, 17:56
Jens,

thanks,
a minute ago I posted a solution :-)

Have a nice evening, Thomas

jmozdzen
04-Feb-2015, 18:03
Hi Thomas,

yes, had I been a bit slower ;) But I learned how to do it on SLES12, so many thanks to you, for getting back with the update!

Regards,
Jens